# Mods

These two resource-packs are preinstalled:
- [`Better Leaves` by MidnightDust](https://modrinth.com/resourcepack/better-leaves)
- [`Incendium Optional Resourcepack` by Stardust](https://modrinth.com/resourcepack/incendium-optional-resourcepack)

## Included
### Performance
- `Chunky Pregenerator` — pre-generate chunks (server-only)
- `Dynamic FPS` — reduces FPS when in background
- `Krypton` — network stack optimisation
- `LazyDFU` — improves startup time
- `Lithium` — general-purpose optimisation
- `Sodium` — rendering engine replacement

### Graphics
- `BedrockWaters` — biome-specific water properties
- `Bobby` — allows for render distances greater than the server's view-distance
- `cat_jam` — cats jam to the rhythm of music discs 
- `Continuity` — connected textures
- `Enhanced Block Entities` — smooth lighting on block entities (+ performance improvements)
- `Falling Leaves` — falling leaves particles
- `Iris Shaders` — shaders
- `Make Bubbles Pop`
- `Not Enough Animations` — third-person animations
- `Sodium Extra` — more settings

### World-gen
- `ChoiceTheorem's Overhauled Village` — more village types
- `Incendium` — more biomes and structures in the Nether
- `Nullscape` — more biomes and structures in the End
- `Terralith` — more biomes and structures in the Overworld
- `Wilder Wild`

### Building blocks
- `Adorn` — furniture
- `Chipped` — more block variants
- `Cooking for Blockheads` — cooking and kitchen furniture
- `Display Case` — block displaying a single item
- `Handcrafted` — furniture
- `Infinity Buttons` — more buttons
- `Lanterns Belong on Walls` — allows placing lanterns on walls
- `Macaw's Paintings` — more paintings
- `More Beautiful Torches` — more torch variants

### GUI
- `AppleSkin` — hunger/health-related HUD improvements
- `Better Statistics Screen`
- `EMI Loot` — EMI addon for loot drops
- `EMI` — item and recipe viewer
- `EMIffect` — EMI addon for status effects
- `Enchantment Descriptions`
- `Mod Menu` — adds a mod menu
- `Paginated Advancements` — improved advancements screen
- `Raised` — fixes the hotbar position
- `Reese's Sodium Options` — replaces the graphics settings

### Compatibility
- `Animatica` — animated textures
- `Entity Texture Features` — random+emissive textures
- `Fabric Seasons: Terralith Compat` — `Fabric Seasons` + `Terralith` 
- `Fabric Seasons: Delight Compat` — `Fabric Seasons` + `Farmer's Delight` 
- `Indium` — `Lithium` + `Fabric Rendering API`

### Miscellaneous
- `Additional Additions` — various items
- `Amecs` — better keybindings
- `Animal Feeding Trough` — block allowing animals to self-feed
- `Auth Me` — in-game session re-validation
- `Axes are Weapons` — allows sword enchantments for axes
- `Chunk Loaders`
- `Crawl` — allows to crawl by pressing a key
- `Debugify` — fixes various bugs
- `Discs Where Discs Shouldn't Be` — more music discs
- `Extended Drawers` — storage drawers
- `Extra Enchantments and Curses` — more enchantments
- `Fabric Seasons` — four seasons
- `Fabric Waystones` — waystones
- `Farmer's Delight` — expansion of farming and cooking
- `Gravestones`
- `Ice Boat nerf` — boats don’t go extra fast on ice
- `Infusion Table` — enchanted item → enchanted book
- `Lighty` — light-level overlay
- `More Music Discs` — more music discs
- `Mouse Tweaks`
- `Nature's Compass` — biome compass
- `Replanting Crops` — automatically replants crops harvested with a hoe
- `Scarecrows' Territory` — scarecrows keeping spawners activated
- `Stack Refill` — automatically refills the player’s hand
- `Supplementaries` — various items
- `Traveler's Backpack` — backpacks
- `Tree Harvester` — fast tree harvesting + fast leaf decay
- `Zoomify` — zoom

### Modpack utilities
- `Global Packs`
- `Here be no Dragons!` — disable the "experimental world settings" warning screen
- `Main Menu Credits`
- `OneTimeOverrides`
- `Remove Terralith Intro Message`

### Library
- `Architectury` — required by `Animal Feeding Trough`
- `Athena` — required by `Chipped`
- `Balm` — required by `Cooking for Blockheads`
- `Bookshelf` — required by `Enchantment Description`
- `Cardinal Components API` — required by `Traveler's Backpack`
- `Collective` — required by `Stack Refill`, `Tree Harvester`, `Replanting Crops`
- `Dawn API` — required by `Culinaire`
- `Fabric API`
- `Fabric Language Kotlin` — required by `Adorn`, `OneTimeOverrides`, `Zoomify`
- `Moonlight Lib` — required by `Supplementaries`
- `oωo` — required by `Fabric Waystones`, `Infinity Buttons`
- `Resourceful Lib` — required by `Chipped`, `Handcrafted`
- `Statement` — required by `Lanterns Belong on Walls`
- `SuperMartijn642's Core Lib` — required by `Chunk Loaders`, `Scarecrows' Territory`
- `SuperMartijn642's Config Lib` — required by `Chunk Loaders`, `Scarecrows' Territory`
- `Trinkets` — required by `Traveler's Backpack`
- `YetAnotherConfigLib` — required by `Zoomify`

## Not included
### Experimental
These mods would be in the pack if they were stable/finished.
- `Concurrent Chunk Management Engine` — multithreaded chunk management
- `Consistency+`
- `Deeper and Darker` — enhance the Deep Dark
- `Immersive Portals`
- `Resounding` — realistic sound physics

### Incompatible loader/version
- `Campanion` — various camping-themed items
- `Fabric Seasons: Extras` — addon for `Fabric Seasons`

## In consideration
- `Culinaire` — more food items: no interoperability with `Farmer's Delight`, leading to duplication.